HPLIP 3.20.9 Released, Still Not Install in Ubuntu 20.04

September 29, 2020

HP Linux Imaging and Printing

HPLIP 3.20.9, HP print, scan, and fax drivers for Linux, now is available to download.

Though the release note is not ready at the moment of writing, HPLIP 3.20.9 package is already available to download in its website.

New printers supported in the release:

  • HP LaserJet MFP M234dw
  • HP LaserJet MFP M234dwe
  • HP Color LaserJet Managed MFP E57540dn
  • HP Color LaserJet Managed Flow MFP E57540c
  • HP Color LaserJet Enterprise MFP M578dn
  • HP Color LaserJet Enterprise MFP M578f
  • HP Color LaserJet Enterprise Flow MFP M578c
  • HP Color LaserJet Enterprise Flow MFP M578z
  • HP Color LaserJet Managed E55040dw
  • HP Color LaserJet Managed E55040dn
  • HP Color LaserJet Enterprise M554dn
  • HP Color LaserJet Enterprise M555dn
  • HP Color LaserJet Enterprise M555x

This release also added support Linuxmint 20, OpenSuse 15.2, and Debian 10.4

How to Get HPLIP 3.20.9:

1. To install the software, download the package “hplip-3.20.9.run” from the link below:

HPLIP Download Page

2. Then open terminal either via Ctrl+Alt+T or by searching for “terminal” from app launcher. When it opens, run command to give executable permission:

chmod +x ~/Downloads/hplip-3.20.9.run

3. Finally run command to start installing the driver:

./Downloads/hplip-3.20.9.run

Follow the terminal output and answer some questions. If everything goes OK, plug or re-plug your HP devices and enjoy!

Sadly, HPLIP 3.20.9 still does not install on Ubuntu 20.04 due to requirement of old pyqt5 libraries.

Twitter

I'm a freelance blogger who started using Ubuntu in 2007 and wishes to share my experiences and some useful tips with Ubuntu beginners and lovers. Please notify me if you find any typo/grammar/language mistakes. English is not my native language. Contact me via [email protected]

8 responses to HPLIP 3.20.9 Released, Still Not Install in Ubuntu 20.04

  1. Ji,
    If installed as you describe, will HPLIP 3.20.9 update automatically once in the OS’s official repository? Or will it have to be uninstalled and re-installed from the official repository to stay up to date with bug fixes and security issues?

  2. thanks
    but what i do at ubuntu 20.04 ?

  3. Did you find a way around. I am trying to install on elementaryOS (Ubuntu 18.04), but hit a snag because it can’t find libtool (although dpkg says it is there).

  4. Hi. I just installed hplip-3.20.11.run in Ubuntu 20.04, and it works fine. It asks automatically if it can install everything it depends on, and I allowed it to. My only hangup was that I had to find the printer manually, but then I almost always have. All I needed since I have it on a wireless setting was to look in the settings (on the printer) and find the IP address it was using. Once it found the printer it set everything up, though I haven’t tested scanning or faxing yet. It printed, though, and set up the 2nd copy of the printer for faxing, and I trust HP.

  5. trying to install. keeps asking for root and password. I GIVE IT MY NAME AND PASSWORD (since i am the superuser and only operator of my computer at home) and it keeps saying it is invalid.

    • No need for user name, simply type the password, no visual feedback for security reason, and hit Enter.

  6. Hi, I am struggling with my hp printer to make it work as well, under LxMint20.1. I could install the driver, however it does not print anything.
    It worked perfectly with LxM19.3. At the time when I had installed it I used hplip-3.18.7.run , I did have difficulties with my password, and folder name: for hplip I had to change them temporally for simple once as they had spacial characters like sapce, á, & etc.

  7. How fucking retarded is to require any stuff installed in the system when you need a simple functionality which is “I want my printer to work”. Why the fuck they did not supply all the libraries they need in their package. My HP now stopped working and you bet it’s hell to make it work again. That’s when idiots are making software.